Package: phpmyadmin / 4:5.1.1+dfsg1-4

Metadata

Package Version Patches format
phpmyadmin 4:5.1.1+dfsg1-4 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
debian.patch | (download)

libraries/vendor_config.php | 12 6 + 6 - 0 !
1 file changed, 6 insertions(+), 6 deletions(-)

 adjust phpmyadmin vendor configuration to match debian needs -
 configuration is in /etc/phpmyadmin - documentation is in /usr/share/doc -
 config file consists of several included files,
 so we skip mtime check - tempdir is in /var/lib/phpmyadmin/tmp

test autoload.patch | (download)

test/bootstrap-dist.php | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 use generated autoloader-file for unittests

simplify composer or versions.patch | (download)

composer.json | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 simplify composer or package versions

phpMyAdmin is compatible with Twig 2.9 (important minimum) or 3. Just prevent future 4.
phpMyAdmin is compatible with motranslator 4 or 5. Just prevent future 6.

update _bootstrap.scss from pmahomme theme for sassc.patch | (download)

themes/metro/scss/theme.scss | 2 1 + 1 - 0 !
themes/original/scss/theme.scss | 2 1 + 1 - 0 !
themes/pmahomme/scss/theme.scss | 2 1 + 1 - 0 !
3 files changed, 3 insertions(+), 3 deletions(-)

 update _bootstrap.scss from pmahomme theme for sassc because the
 scss compiler needs to access the right files to be able to compile them

Define and use TEST_PATH for Debian CI.patch | (download)

test/bootstrap-dist.php | 4 4 + 0 - 0 !
test/classes/ConfigTest.php | 4 2 + 2 - 0 !
test/classes/ThemeTest.php | 2 1 + 1 - 0 !
3 files changed, 7 insertions(+), 3 deletions(-)

 define and use test_path for debian ci

Remove dfsg zxcvbn js.patch | (download)

js/dist/functions.js | 4 2 + 2 - 0 !
js/src/functions.js | 4 2 + 2 - 0 !
libraries/classes/Controllers/Server/PrivilegesController.php | 2 1 + 1 - 0 !
libraries/classes/Controllers/Server/ReplicationController.php | 2 1 + 1 - 0 !
libraries/classes/Controllers/UserPasswordController.php | 2 1 + 1 - 0 !
5 files changed, 7 insertions(+), 7 deletions(-)

 remove zxcvbn.js because it can not be re-built from source

Fix ImportOdsTest mbstring.patch | (download)

test/classes/Plugins/Import/ImportOdsTest.php | 20 17 + 3 - 0 !
1 file changed, 17 insertions(+), 3 deletions(-)

 adjust to mb_string length test data

Seems like something (probably the polyfill) is making the mbstring length vary

Fix OptionsTest Plugin class loading.patch | (download)

libraries/classes/Plugins.php | 7 5 + 2 - 0 !
1 file changed, 5 insertions(+), 2 deletions(-)

 fix failing test optionstest

Fix FileListingTest and ErrorTest_testSetFile tests.patch | (download)

test/classes/ErrorTest.php | 5 2 + 3 - 0 !
test/classes/FileListingTest.php | 4 2 + 2 - 0 !
2 files changed, 4 insertions(+), 5 deletions(-)

 fix filelistingtest and errortest::testsetfile depending on the
 filesystem path

Add openlayers source build config.patch | (download)

js/config/ol/webpack.config.js | 20 20 + 0 - 0 !
js/src/ol.mjs | 40 40 + 0 - 0 !
js/vendor/openlayers/ol.js.map | 1 0 + 1 - 0 !
js/vendor/openlayers/theme/ol.css | 277 275 + 2 - 0 !
js/vendor/openlayers/theme/ol.css.map | 1 0 + 1 - 0 !
5 files changed, 335 insertions(+), 4 deletions(-)

 add openlayers build from source config

Fix openlayers node_modules dir.patch | (download)

js/config/ol/webpack.config.js | 3 3 + 0 - 0 !
1 file changed, 3 insertions(+)

 change node_modules dir for openlayers config

allow symfony v5 for PHP 8 compat.patch | (download)

composer.json | 6 3 + 3 - 0 !
1 file changed, 3 insertions(+), 3 deletions(-)

 allow symfony/* v5 for php 8 compat

phpMyAdmin is compatible with symfony/* 4 or 5. Just prevent future 6.